﻿
# 
#   ______                           __        ____    _      __  __     
#  / ___(_)__ ___ _  ___  ___ ____  / /__     / __/___(_)_ __/ /_/ /____ 
# / (_ / / _ `/  ' \/ _ \/ _ `/ _ \/ / _ \   _\ \/ __/ / // / __/ __/ _ \
# \___/_/\_,_/_/_/_/ .__/\_,_/\___/_/\___/  /___/\__/_/\_,_/\__/\__/\___/
#                 /_/                                                   
# http://www.giampaolo-sciutto.it/

# Name Script : local_last_logon.ps1
# Descrizione : come ad articolo su http://www.giampaolo-sciutto.it/
# 
# Versione    : 1.0
# Requisiti   : 
# Piattaforme Verificate : Windows 2008R2
#
# Modify by Giampaolo Sciutto
# Date Modify: 23/11/2016
#


$Servername = Read-Host 'Enter server name?'


# Check Os Version
$OSCheck = (Get-WmiObject -comp $Servername  -class Win32_OperatingSystem ).caption

#get the current directory location
$scriptPath = split-path -parent $MyInvocation.MyCommand.Definition


$FilePath = "$scriptPath\local_last_logon.csv" 


ForEach ($Item in $Servername)
{


# Check OS version
    If ($OSCheck  -notmatch "server 2003" )

    {
    # Setup Global Variables
    $ppath1 = "$Item\c$\users"
    
        
    #gets the subdirectories in the current directory and generate CSV Out Put File.
    Get-Childitem \\$ppath1\*  | select-object Name ,LastWriteTime  | sort LastWriteTime -descending |Export-CSV $FilePath
    }

        Else 

        {

        # Setup Global Variables
         $ppath1 = "$Item\c$\Documents and Settings"
         #gets the subdirectories in the current directory and change the date format to MMDDYYYY , generate CSV Out Put File.
            Get-ChildItem \\$ppath1\*  | Select-Object Name,{$_.LastWriteTime.toString("MM-dd-yyyy hh:mm")}  |Export-CSV $FilePath 
        }

Write-host "Challenge Completed !  !"
}